commit:     b3e3ace902ff82df74978e8c5b2ad8168cf3ed9f
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 17 16:07:49 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Dec 17 16:08:34 2015 +0000
URL:        https://gitweb.gentoo.org/proj/recruiters.git/commit/?id=b3e3ace9

Add nicety to test.ebuild

Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 foo.ebuild | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/foo.ebuild b/foo.ebuild
index 04b2889..7af7f48 100644
--- a/foo.ebuild
+++ b/foo.ebuild
@@ -18,6 +18,16 @@ src_unpack() {
        patch -p1 < "${FILESDIR}"/foobar-1.0-Makefile.patch
 }
 
+src_prepare() {
+       ebegin "Patching"
+    sed \
+       -e "82s/read_version()/'${PV}'/" \
+    -i configure
+    STATUS=$?
+    eend ${STATUS}
+    [[ ${STATUS} -gt 0 ]] && die
+}
+
 src_compile() {
        make ${MAKEOPTS}
 }

Reply via email to